package com.fjhx.oa.controller.contacts;

import com.fjhx.oa.entity.contacts.po.Contacts;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.contacts.vo.ContactsVo;
import com.fjhx.oa.entity.contacts.dto.ContactsSelectDto;
import com.fjhx.oa.entity.contacts.dto.ContactsDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.oa.service.contacts.ContactsService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;


/**
 * <p>
 * 外部通讯录联系人 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
@RestController
@RequestMapping("/contacts")
public class ContactsController {

    @Autowired
    private ContactsService contactsService;

    /**
     * 外部通讯录联系人分页
     */
    @PostMapping("/page")
    public Page<ContactsVo> page(@RequestBody ContactsSelectDto dto) {
        return contactsService.getPage(dto);
    }

    /**
     * 外部通讯录联系人明细
     */
    @PostMapping("/detail")
    public ContactsVo detail(@RequestBody BaseSelectDto dto) {
        return contactsService.detail(dto.getId());
    }

    /**
     * 外部通讯录联系人新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ContactsDto contactsDto) {
        contactsService.add(contactsDto);
    }

    /**
     * 外部通讯录联系人编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ContactsDto contactsDto) {
        contactsService.edit(contactsDto);
    }

    /**
     * 外部通讯录联系人删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        contactsService.delete(dto.getId());
    }

    /**
     * 企业列表
     *
     * @return
     */
    @PostMapping("/list")
    public List<Contacts> list() {
        return contactsService.getList();
    }

}
